# XMPP::IQ Class Reference

`#include <xmpp.h>`

Inheritance diagram for XMPP::IQ:

List of all members.

## Public Types

| Get
| Set
| Result
| Error
| Unknown = 999
enum | IQType { Get, Set, Result, Error, Unknown = 999 }

## Public Member Functions

| IQ (IQType type, PXMLElement *body=0)
| IQ (PXML &pdu)
| IQ (PXML *pdu)
| ~IQ ()
virtual PBoolean | IsValid () const
void | SetProcessed ()
| This method signals that the message was taken care of If the stream handler, after firing all the notifiers finds that an iq set/get pdu has not being processed, it returns an error to the sender.
PBoolean | HasBeenProcessed () const
virtual IQType | GetType (PString *typeName=0) const
virtual PXMLElement * | GetBody ()
virtual void | SetType (IQType type)
virtual void | SetType (const PString &type)
virtual void | SetBody (PXMLElement *body)
virtual IQ * | GetOriginalMessage () const
virtual void | SetOriginalMessage (IQ *iq)
virtual IQ * | BuildResult () const
| Creates a new response iq for this message (that must be of the set/get type!).
virtual IQ * | BuildError (const PString &type, const PString &code) const
| Creates an error response for this message.
virtual PNotifierList | GetResponseHandlers ()

## Static Public Member Functions

static const PCaselessString & | TypeTag ()
| Various constant strings.
static PBoolean | IsValid (const PXML *pdu)

## Protected Attributes

PBoolean | m_Processed
IQ * | m_OriginalIQ
PNotifierList | m_ResponseHandlers

## Member Enumeration Documentation

enum XMPP::IQ::IQType

Enumerator:

  Get |
  Set |
  Result |
  Error |
  Unknown |

## Constructor & Destructor Documentation

XMPP::IQ::IQ | ( | IQType | type,
|  | PXMLElement * | body = `0` |
| ) |  |  |

XMPP::IQ::IQ | ( | PXML & | pdu | ) |

XMPP::IQ::IQ | ( | PXML * | pdu | ) |

XMPP::IQ::~IQ | ( |  | ) |

## Member Function Documentation

virtual IQ* XMPP::IQ::BuildError | ( | const PString & | type,
|  | const PString & | code |
| ) |  |  | const`[virtual]`

Creates an error response for this message.

virtual IQ* XMPP::IQ::BuildResult | ( |  | ) | const`[virtual]`

Creates a new response iq for this message (that must be of the set/get type!).

virtual PXMLElement* XMPP::IQ::GetBody | ( |  | ) | `[virtual]`

virtual IQ* XMPP::IQ::GetOriginalMessage | ( |  | ) | const`[inline, virtual]`

virtual PNotifierList XMPP::IQ::GetResponseHandlers | ( |  | ) | `[inline, virtual]`

virtual IQType XMPP::IQ::GetType | ( | PString * | typeName = `0` | ) | const`[virtual]`

PBoolean XMPP::IQ::HasBeenProcessed | ( |  | ) | const`[inline]`

static PBoolean XMPP::IQ::IsValid | ( | const PXML * | pdu | ) | `[static]`

virtual PBoolean XMPP::IQ::IsValid | ( |  | ) | const`[virtual]`

Implements XMPP::Stanza.

virtual void XMPP::IQ::SetBody | ( | PXMLElement * | body | ) | `[virtual]`

virtual void XMPP::IQ::SetOriginalMessage | ( | IQ * | iq | ) | `[virtual]`

void XMPP::IQ::SetProcessed | ( |  | ) | `[inline]`

This method signals that the message was taken care of If the stream handler, after firing all the notifiers finds that an iq set/get pdu has not being processed, it returns an error to the sender.

virtual void XMPP::IQ::SetType | ( | const PString & | type | ) | `[virtual]`

virtual void XMPP::IQ::SetType | ( | IQType | type | ) | `[virtual]`

static const PCaselessString& XMPP::IQ::TypeTag | ( |  | ) | `[static]`

Various constant strings.

## Member Data Documentation

IQ* XMPP::IQ::m_OriginalIQ `[protected]`

PBoolean XMPP::IQ::m_Processed `[protected]`

PNotifierList XMPP::IQ::m_ResponseHandlers `[protected]`

The documentation for this class was generated from the following file:

- xmpp.h